#include <iostream>
#include <sys/types.h>
#include <sys/wait.h>
#include <unistd.h>
#include <stdlib.h>
#include <main.h>
#include <pthread.h>

using namespace std;

void* doo(void* param);
// Precondition:  None
// Postcondition: Sings "Doo!" once a second for 60 seconds

int main(void)
{
  // Thread identifier
  pthread_t tid; 

  cout << "Sing it thread!" << endl;

  // Create thread, no parameters to starting function
  pthread_create(&tid,NULL,doo,NULL);

  // Sing "Whop!" once every 5 seconds for 60 seconds
  for (int i=0; i<6; i++)
  {
    sleep(5);
    cout << "Whop!" << endl;
  }

  // Wait for thread to exit
  pthread_join(tid,NULL);

  cout << "That was mighty fine!!!" << endl;
}


void* doo(void* param)
{
  // Sing "Doo!" once a second for 30 seconds
  for (int i=0; i<30; i++) 
  {
    cout << "Doo! "<<endl;
    sleep(1);
  }

  // Thread exit
  pthread_exit(0);
}
